# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import get_args, get_opts
from zbot import cmnds

## do_find command

def do_find(event):
    args = get_args(event.rest)
    opts = get_opts(event.rest)
    nr = 1
    for obj in event.objects(opts):
        obj.nr = nr
        res = ""
        for arg in args:
            try: res += "%s: %s " % (arg, obj[arg])
            except KeyError: pass
        if res: event.reply(res)
        nr += 1

cmnds.register("find", do_find)
